Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 591226 - b43-phy disabled after resume from suspend
b43-phy disabled after resume from suspend
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-11 13:22 EDT by Maurice Pijpers
Modified: 2011-06-27 12:17 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:17:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maurice Pijpers 2010-05-11 13:22:41 EDT
Description of problem:
b43 driver turns radio killswitch off after resume

Version-Release number of selected component (if applicable):
2.6.33.3-85

How reproducible:
Do a suspend resume

Steps to Reproduce:
1. Suspend
2. resume
3.
  
Actual results:
Wireless is disabled

Expected results:
Wireless should be enabled.

Additional info:
Running on a lenovo S12 laptop with broadcom BCM4312 card. NetworkManager is activated but Wireless cannot be actived after resume from suspend. /var/log/messages displays:
kernel: b43-phy0: Radio hardware status changed to DISABLED
kernel: b43-phy0: Radio turned on by software
kernel: b43-phy0: The hardware RF-kill button still turns the radio physically off. Press the button to turn it on.

Firmware is version 478.104 (2008-07-01 00:50:23)
Switch the radio button has no effect.
"rfkill list" displays the device is hard blocked
rfkill unblock device gives no message but doesn't change the status, the problem remains.
Comment 1 John W. Linville 2010-06-04 11:42:44 EDT
Please attach the output of running "rfkill event" while working the rfkill switch.  Make sure you are manipulating the correct switch -- for example, my T400 has not only the Fn-F5 'soft' switch but also a slider switch along the front edge (i.e. near the latch).
Comment 2 Maurice Pijpers 2010-06-06 16:11:42 EDT
(In reply to comment #1)
> Please attach the output of running "rfkill event" while working the rfkill
> switch.  Make sure you are manipulating the correct switch -- for example, my
> T400 has not only the Fn-F5 'soft' switch but also a slider switch along the
> front edge (i.e. near the latch).    

John, thanks for your input, but be aware that I'm not using any switches. I'm just suspending the machine...on resume the rfkill list shows the Wireless LAN as being hard blocked, but the position of the killswitch has not changed.
Comment 3 Bug Zapper 2011-06-02 10:10:19 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-27 12:17:14 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.